- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | Friends

# QSystemTrayIcon Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qsystemtrayicon.h.

`#include <qsystemtrayicon.h>`

Inheritance diagram for QSystemTrayIcon:
[legend]

List of all members.

## Public Types
enum | ActivationReason { Unknown, Context, DoubleClick, Trigger, MiddleClick }
enum | MessageIcon { NoIcon, Information, Warning, Critical }
## Public Slots
void | setVisible (bool visible)
void | show ()
void | hide ()
## Signals
void | activated (QSystemTrayIcon::ActivationReason reason)
void | messageClicked ()
## Public Member Functions
| QSystemTrayIcon (QObject *parent=0)
| QSystemTrayIcon (const QIcon &icon, QObject *parent=0)
| ~QSystemTrayIcon ()
void | setContextMenu (QMenu *menu)
QMenu * | contextMenu () const
QIcon | icon () const
void | setIcon (const QIcon &icon)
QString | toolTip () const
void | setToolTip (const QString &tip)
void | showMessage (const QString &title, const QString &msg, MessageIcon icon=Information, int msecs=10000)
QRect | geometry () const
bool | isVisible () const
## Static Public Member Functions
static bool | isSystemTrayAvailable ()
static bool | supportsMessages ()
## Protected Member Functions
bool | event (QEvent *event)
## Properties
QString | toolTip
QIcon | icon
bool | visible
## Friends
class | QSystemTrayIconSys
class | QBalloonTip
void | qtsystray_sendActivated (QSystemTrayIcon *, int)

## Member Enumeration Documentation

enum ActivationReason

Search for all occurrences

Enumerator:

  Unknown | Search for all occurrences
  Context | Search for all occurrences
  DoubleClick | Search for all occurrences
  Trigger | Search for all occurrences
  MiddleClick | Search for all occurrences

Definition at line 77 of file qsystemtrayicon.h.

                              {
            Unknown,
            Context,
            DoubleClick,
            Trigger,
            MiddleClick
        };

enum MessageIcon

Search for all occurrences

Enumerator:

  NoIcon | Search for all occurrences
  Information | Search for all occurrences
  Warning | Search for all occurrences
  Critical | Search for all occurrences

Definition at line 99 of file qsystemtrayicon.h.

    { NoIcon, Information, Warning, Critical };

## Constructor & Destructor Documentation

QSystemTrayIcon | ( | QObject * | parent = `0` | ) |

QSystemTrayIcon | ( | const QIcon & | icon,
|  | QObject * | parent = `0`
| ) |  |

~QSystemTrayIcon | ( |  | ) |

## Member Function Documentation

void setContextMenu | ( | QMenu * | menu | ) |

Search for all occurrences

QMenu* contextMenu | ( |  | ) | const

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

void setIcon | ( | const QIcon & | icon | ) |

Search for all occurrences

QString toolTip | ( |  | ) | const

Search for all occurrences

void setToolTip | ( | const QString & | tip | ) |

Search for all occurrences

static bool isSystemTrayAvailable | ( |  | ) | `[static]`

Search for all occurrences

static bool supportsMessages | ( |  | ) | `[static]`

Search for all occurrences

void showMessage | ( | const QString & | title,
|  | const QString & | msg,
|  | MessageIcon | icon = `Information`,
|  | int | msecs = `10000`
| ) |  |

Search for all occurrences

QRect geometry | ( |  | ) | const

Search for all occurrences

bool isVisible | ( |  | ) | const

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[slot]`

Search for all occurrences

void show | ( |  | ) | `[inline, slot]`

Search for all occurrences

Definition at line 108 of file qsystemtrayicon.h.

    { setVisible(true); }

void hide | ( |  | ) | `[inline, slot]`

Search for all occurrences

Definition at line 109 of file qsystemtrayicon.h.

    { setVisible(false); }

void activated | ( | QSystemTrayIcon::ActivationReason | reason | ) | `[signal]`

Search for all occurrences

void messageClicked | ( |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Friends And Related Function Documentation

friend class QSystemTrayIconSys `[friend]`

Search for all occurrences

Definition at line 122 of file qsystemtrayicon.h.

friend class QBalloonTip `[friend]`

Search for all occurrences

Definition at line 123 of file qsystemtrayicon.h.

void qtsystray_sendActivated | ( | QSystemTrayIcon * | ,
|  | int |
| ) |  | `[friend]`

Search for all occurrences

## Property Documentation

QString toolTip `[read, write]`

Search for all occurrences

Definition at line 68 of file qsystemtrayicon.h.

QIcon icon `[read, write]`

Search for all occurrences

Definition at line 69 of file qsystemtrayicon.h.

bool visible `[read, write]`

Search for all occurrences

Definition at line 70 of file qsystemtrayicon.h.

The documentation for this class was generated from the following file:

- QtGui/qsystemtrayicon.h

QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon
QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon QSystemTrayIcon